## kpimtextedit 24.08.2

=== debian/changelog ===
kpimtextedit (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:52:24 -0500

kpimtextedit (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:13 +0200

kpimtextedit (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 02:32:45 +0200

kpimtextedit (24.05.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Also switch the runtime-dependency to libktextaddons-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Jul 2024 00:06:47 +0200

kpimtextedit (24.05.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch libkf6textaddons-dev B-D to libktextaddons-dev as that is the
    new name.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Jul 2024 14:57:15 +0200

kpimtextedit (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jul 2024 20:23:46 +0200
